## libapache2-mod-rpaf 0.5

=== Makefile ===
# Makefile for mod_rpaf.c (gmake)
# $Id: Makefile,v 1.4 2002/06/18 15:05:07 thomas Exp $
#APXS=$(shell which apxs) 
APXS=/home/thomas/build/apache-dev/bin/apxs
#APXS=/pat/to/your/apxs

default:
	@echo mod_rpaf:
	@echo nevest version available at http://stderr.net/apache/rpaf/
	@echo
	@echo following options available:
	@echo \"make rpaf\" to compile the 1.3 version
	@echo \"make install\" to install the 1.3 version
	@echo \"make rpaf-2.0\" to compile the 2.0 version
	@echo \"make install-2.0\" to install the 2.0 version
	@echo
	@echo change path to apxs if this is not it: \"$(APXS)\"


rpaf: mod_rpaf.so
	@echo make done, type \"make install\" to install mod_rpaf

rpaf-2.0: mod_rpaf-2.0.o
	@echo make done, type \"make install-2.0\" to install mod_rpaf-2.0

mod_rpaf.so: mod_rpaf.c
	$(APXS) -c -o $@ mod_rpaf.c

mod_rpaf.c:

mod_rpaf-2.0.o: mod_rpaf-2.0.c
	$(APXS) -c -n $@ mod_rpaf-2.0.c

mod_rpaf-2.0.c:

install: mod_rpaf.so
	$(APXS) -i -n mod_rpaf mod_rpaf.so

install-2.0: mod_rpaf-2.0.o
	$(APXS) -i -n mod_rpaf-2.0.so mod_rpaf-2.0.la

clean:
	rm -rf *~ *.o *.so *.lo *.la *.slo .libs/

## libapache2-mod-rpaf 0.6

=== Makefile ===
# Makefile for mod_rpaf.c (gmake)
# $Id: Makefile 16 2007-12-13 03:40:22Z thomas $
APXS=$(shell which apxs) 
APXS2=$(shell which apxs2)

default:
	@echo mod_rpaf:
	@echo nevest version available at http://stderr.net/apache/rpaf/
	@echo
	@echo following options available:
	@echo \"make rpaf\" to compile the 1.3 version
	@echo \"make test\" to test 1.3 version
	@echo \"make install\" to install the 1.3 version
	@echo \"make rpaf-2.0\" to compile the 2.0 version
	@echo \"make test-2.0\" to test 2.0 version
	@echo \"make install-2.0\" to install the 2.0 version
	@echo
	@echo change path to apxs if this is not it: \"$(APXS)\"


rpaf: mod_rpaf.so
	@echo make done
	@echo type \"make test\" to test mod_rpaf
	@echo type \"make install\" to install mod_rpaf

test: rpaf
	@./gen_tests.sh
	cd t && $(MAKE) test
	@echo all done

rpaf-2.0: mod_rpaf-2.0.o
	@echo make done, type \"make install-2.0\" to install mod_rpaf-2.0

test-2.0: rpaf-2.0
	@./gen_tests.sh
	cd t && make test-2.0

mod_rpaf.so: mod_rpaf.c
	$(APXS) -c -o $@ mod_rpaf.c

mod_rpaf.c:

mod_rpaf-2.0.o: mod_rpaf-2.0.c
	$(APXS2) -c -n $@ mod_rpaf-2.0.c

mod_rpaf-2.0.c:

install: mod_rpaf.so
	$(APXS) -i -n mod_rpaf mod_rpaf.so

install-2.0: mod_rpaf-2.0.o
	$(APXS2) -i -n mod_rpaf-2.0.so mod_rpaf-2.0.la

clean:
	rm -rf *~ *.o *.so *.lo *.la *.slo *.loT .libs/ 
	cd t && make clean

=== debian/changelog ===
libapache2-mod-rpaf (0.6-7+wheezy1) stable; urgency=low

  * Restore 030_ipv6.patch, removed by QA upload in 0.6-1 (Closes: #726529)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 20 Jan 2014 17:56:07 +0400

libapache2-mod-rpaf (0.6-7) unstable; urgency=low

  * Fix FTBS on a number of archs: add -D_LARGEFILE64_SOURCE to CFLAGS

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 21 Jun 2012 11:35:07 +0400

libapache2-mod-rpaf (0.6-6) unstable; urgency=low

  * Pass hardening CFLAGS/CPPFLAGS to apxs2
  * Add VCS-* fields

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 15 Jun 2012 16:25:03 +0400

libapache2-mod-rpaf (0.6-5) unstable; urgency=low

  * Reformat debian/copyright according to accepted DEP5 spec
  * Bump up Standards-Version to 3.9.3 (no changes)
  * Renamed: debian/docs -> debian/libapache2-mod-rpaf.docs
  * Update deprecation warning
  * Change dh compat to 9, enable hardening support

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 01 Jun 2012 15:40:41 +0400

libapache2-mod-rpaf (0.6-3) unstable; urgency=low

  * Fixed module naming stuff in rpaf.conf (Thanks to Alexander
    Kuznetsov).  Closes: #653330.
  * Reformat rpaf.conf, add some commentaries from README.Debian
  * Add deprecation warning in README.Debian
  * Move debian/conf/* to debian/
  * Add newline at the end of postinst
  * Delete unneded debian/dirs file
  * Override dh_auto_install
  * Update version in debian/watch

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 07 Dec 2011 16:32:54 +0400

libapache2-mod-rpaf (0.6-2) unstable; urgency=low

  * New maintainer (Closes: #636732)
  * Use DEP5 debian/copyright format
  * Removed override for dh_auto_install (used debian/install file)
  * Cleanup override_dh_auto_clean and override_dh_auto_build
  * Set section for the package to httpd

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 07 Oct 2011 21:48:54 +0400

libapache2-mod-rpaf (0.6-1) unstable; urgency=low

  * QA upload.
  * New upstream release. (Closes: #468460)
    + You can now set the header to parse for the real IP. (Closes: #386630)
    + Move change_remote_ip handler to APR_HOOK_FIRST. (Closes: #386628)
  * Remove all old patches.
  * Change Maintainer to QA, thanks to Piotr Roszatycki for maintaining
    this package in the past.
  * Replace debian/rules with a dh version and some overrides. (Closes: #636893)
  * Remove non working Vcs-* entries from debian/control.
  * Build-Depend on debhelper and apache2-threaded-dev instead of yada.
  * Add a debian/compat 8 file.
  * Add source/format 3.0 quilt.
  * Add ${shlibs:Depends}, ${misc:Depends}, apache2 | apache2-mpm to Depends.
  * Remove ${libapache2-mod-rpaf:Depends} from Depends.
  * Add debian/dirs to create the installation directory.
  * Add a regular debian/copyright file.
  * Add postinst and prerm scripts to enable/disable the module.
  * Increase Standards-Version to 3.9.2 - no changes required beside
    the reworking of the package.
  * Add information about RPAFheader to README.Debian.
  * Add ::1 to RPAFproxy_ips in the default configuration.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 04 Sep 2011 18:11:18 +0200

libapache2-mod-rpaf (0.5-3) unstable; urgency=low

  * Rename source package name from libapache-mod-rpaf to libapache2-mod-rpaf.
  * Dropped Apache 1.3 support. Closes: #429131.
  * Resolved problem with keepalive requests. Closes: #345648.
  * Support for IPv6-enabled webservers. Closes: #409521, #414450.
  * Support for multiple hostnames in X-Forwarded-Host header. Closes: #416387.
  * Get last address in the header which is not in RPAFproxy_ips. Closes: #377190.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 30 Oct 2007 13:38:58 +0100

libapache-mod-rpaf (0.5-2.1) unstable; urgency=low

  * Non-maintainer upload to update dependency on an uninstallable package.
  * Updated the dependency of libapache2-mod-suphp to apache2.2-common.
    (Closes: #391753)
  * Added a call to apr-1-config --cppflags to get the correct CFLAGS at 
    build time.

 -- Margarita Manterola <marga@debian.org>  Wed, 18 Oct 2006 14:20:31 -0300

libapache-mod-rpaf (0.5-2) unstable; urgency=low

  * Add rpaf.conf with base configuration.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 16 Mar 2005 11:08:47 +0100

libapache-mod-rpaf (0.5-1) unstable; urgency=low

  * New upstream release.
  * New libapache2-mod-rpaf binary package.
  * This version fixes bug with incorrect log entries. Closes: #262050.
  * Fixed typo in package description. Closes: #268519, #277225.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 28 Feb 2005 11:02:21 +0100

libapache-mod-rpaf (0.4-1) unstable; urgency=low

  * New upstream release.
  * Fixed Origin field in debian/control, closes: #154412

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 19 Aug 2003 17:35:38 +0200

libapache-mod-rpaf (0.3-2) unstable; urgency=low

  * Safe postinst script.
  * Fixes minor spelling error, closes: #124888

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 11 Apr 2002 11:37:47 +0200

libapache-mod-rpaf (0.3-1) unstable; urgency=high

  * New upstream release
  * Fixes bug with memory leaking

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  5 Oct 2001 07:20:39 +0000

libapache-mod-rpaf (0.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Roszatycki <dexter@debian.org>  Tue,  2 Oct 2001 13:35:37 +0000

libapache-mod-rpaf (0.1-1) unstable; urgency=low

  * Initial Debian version.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 30 Aug 2001 16:49:42 +0200

=== debian/control ===
Source: libapache2-mod-rpaf
Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
Section: httpd
Priority: extra
Standards-Version: 3.9.3
Build-Depends: apache2-threaded-dev, debhelper (>= 9)
Vcs-Git: git://git.debian.org/git/collab-maint/libapache2-mod-rpaf.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libapache2-mod-rpaf.git;a=summary
Homepage: http://stderr.net/apache/rpaf/
DM-Upload-Allowed: yes

Package: libapache2-mod-rpaf
Architecture: any
Depends: apache2 | apache2-mpm, ${shlibs:Depends}, ${misc:Depends}
Description: module for Apache2 which takes the last IP from the 'X-Forwarded-For' header
 rpaf is short for reverse proxy add forward.
 .
 rpaf is for backend Apache servers what mod_proxy_add_forward is for
 frontend Apache servers. It does exactly the opposite of
 mod_proxy_add_forward written by Ask Bjorn Hansen.
 .
 It changes the remote address of the client visible to other Apache modules
 when two conditions are satisfied. First condition is that the remote client
 is actually a proxy that is defined in httpd.conf. Secondly if there is an
 incoming X-Forwarded-For header and the proxy is in its list of known
 proxies it takes the last IP from the incoming X-Forwarded-For header and
 changes the remote address of the client in the request structure.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	rm -rf .libs *.la *.lo

override_dh_auto_build:
	apxs2 -S CFLAGS="$(CFLAGS) -D_LARGEFILE64_SOURCE $(CPPFLAGS)" -c -o mod_rpaf.so mod_rpaf-2.0.c

override_dh_auto_test:

override_dh_auto_install:
